package com.yuandian.dataflow.controller;

import java.nio.ByteBuffer;

import com.alipay.sofa.jraft.Closure;
import com.alipay.sofa.jraft.entity.Task;
import com.google.gson.JsonObject;
import com.yuandian.dataflow.Server;
import com.yuandian.dataflow.statemachine.RaftClosure;

import org.apache.commons.lang.ObjectUtils.Null;
import org.apache.commons.logging.Log;
import org.apache.ratis.thirdparty.org.checkerframework.common.reflection.qual.GetMethod;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.http.HttpStatus;
import org.springframework.http.MediaType;
import org.springframework.http.ResponseEntity;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import com.alipay.sofa.jraft.Node;

@Controller
public class TaskLog {

	private static final Logger LOG = LoggerFactory.getLogger(TaskLog.class);
	private static Node node = Server.GetNode();

    @GetMapping(path = "/test")
	public ResponseEntity<String> greeting() {

		Task task = new Task();
		
 
        
        
		 
		LOG.error(node.toString());
		

 
		RaftClosure done = new RaftClosure();
		task.setData(ByteBuffer.wrap("hello".getBytes()));
        task.setDone(done);
		Server.GetNode().apply(task);
		
	 
 
		
		JsonObject response  = new JsonObject();
		response.addProperty("status", "success");
		response.addProperty("apply", "hello");
		return new ResponseEntity<String>(response.toString(), HttpStatus.OK);
	}
}
